<?php

namespace FiloBlu\GuestWishlist\Helper\Plugin;

class Data  {

    protected $_helper;

    /**
     * @var \Magento\Customer\Model\Session
     */
    protected $_customerSession;

    /**
     * @param \Magento\Customer\Model\Session $customerSession
     * @param \FiloBlu\GuestWishlist\Helper\Data $helper
     */
    public function __construct(
        \Magento\Customer\Model\Session $customerSession,
        \FiloBlu\GuestWishlist\Helper\Data $helper
    ) {
        $this->_customerSession = $customerSession;
        $this->_helper = $helper;
    }
    
    public function afterGetCustomer(\Magento\Wishlist\Helper\Data $helper, $currentCustomer)
    {
        # Avoid error
        if (!$currentCustomer && ($this->_customerSession->isLoggedIn() || $this->_helper->getConfig("general/enabled"))) {
            $currentCustomer = $this->_customerSession->getCustomerDataObject();
        }
        return $currentCustomer;
    }

}
